--- linux-2.6.31.x86_64/sound/pci/rme9652/hdsp.c~	2009-09-09 15:13:59.000000000 -0700
+++ linux-2.6.31.x86_64/sound/pci/rme9652/hdsp.c	2010-02-22 16:25:34.000000000 -0800
@@ -4436,6 +4436,13 @@
 	return 0;
 }
 
+static int snd_hdsp_hwdep_dummy_op(struct snd_hwdep *hw, struct file *file)
+{
+	/* we have nothing to initialize but the call is required */
+	return 0;
+}
+
+
 /* helper functions for copying meter values */
 static inline int copy_u32_le(void __user *dest, void __iomem *src)
 {
@@ -4754,7 +4761,9 @@
 	hw->private_data = hdsp;
 	strcpy(hw->name, "HDSP hwdep interface");
 
+	hw->ops.open = snd_hdsp_hwdep_dummy_op;
 	hw->ops.ioctl = snd_hdsp_hwdep_ioctl;
+	hw->ops.release = snd_hdsp_hwdep_dummy_op;
 
 	return 0;
 }
--- linux-2.6.31.x86_64/sound/pci/rme9652/hdspm.c~	2009-09-09 15:13:59.000000000 -0700
+++ linux-2.6.31.x86_64/sound/pci/rme9652/hdspm.c	2010-02-22 16:30:01.000000000 -0800
@@ -4100,6 +4100,13 @@
 	return 0;
 }
 
+static int snd_hdspm_hwdep_dummy_op(struct snd_hwdep *hw, struct file *file)
+{
+	/* we have nothing to initialize but the call is required */
+	return 0;
+}
+
+
 static int snd_hdspm_hwdep_ioctl(struct snd_hwdep * hw, struct file *file,
 				 unsigned int cmd, unsigned long arg)
 {
@@ -4206,7 +4213,9 @@
 	hw->private_data = hdspm;
 	strcpy(hw->name, "HDSPM hwdep interface");
 
+	hw->ops.open = snd_hdspm_hwdep_dummy_op;
 	hw->ops.ioctl = snd_hdspm_hwdep_ioctl;
+	hw->ops.release = snd_hdspm_hwdep_dummy_op;
 
 	return 0;
 }
